# confirm\_admin

An entrypoint for a pending administrator. A pending administrator must just call it and he will become a new administrator of the contract.

### Call parameters

An entrypoint doesn't accept any parameters.

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const tFarmAddress = "KT1...";
const tFarm = await tezos.contract.at(tFarmAddress);
const operation = await tFarm.methods.confirm_admin([]).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-pending-admin` - `sender` of the transaction is not current pending administrator (not the address that was assigned by the current administrator to the shift).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/confirm_admin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
